﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Yokogawa DL17x0 (1 yr) Timebase Acc IEEE /5500+S6
INSTRUMENT:            Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /5500+S6
INSTRUMENT:            Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /5500+S6
INSTRUMENT:            Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /5500+S6
DATE:                  2017-04-13 13:48:28
AUTHOR:                Fluke
REVISION:              $Revision: 19267 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       46
NUMBER OF LINES:       686
CONFIGURATION:         Fluke 5500A (S6)
=============================================================================
#
#  Procedure Author:  DAC, VY
#
#  Model(s) Covered:  DL1720(701705), DL1740(701710)
#                     DL1720E(701715), DL1740E(701730), DL1740EL(701740)
#
#  Compatibility:     MET/CAL 7.11 or later
#
#  Subprocedures:     Sub Yokogawa DL17x0 Cal Init IEEE
#
#  Required Files:    None
#
#  Additional Equipment Required:
#                     None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Yokogawa DL17x0 Cal Init IEEE

# There are two ways that the bandwidth test is implemented in this file.
# "LABEL BANDWIDTH" follows the steps in the Yokogawa DL1700 series service
# manual.  "LABEL BANDWIDTH_TRADITIONAL" uses the traditional bandwidth steps.
# The default as released from Fluke, is the traditional bandwidth test.  To
# select the Yokogawa bandwidth test steps, comment out and uncomment the
# appropriate procedure statements below:

  1.002  JMPL         TIMEBASE_ACC                 PSUBI("Timebase Acc")
#  1.004  JMPL         BANDWIDTH_TRADITIONAL        PSUBI("Bandwidth")
  1.003  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.004  JMPL         DCV_ACC                      PSUBI("DCV Acc")
  1.005  JMPL         OFFSET_ACC                   PSUBI("Offset Acc")
  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment step number

# =========== Sub Yokogawa DL17x0 (1 yr) Timebase Acc IEEE /5500+S6 ========

  2.001  LABEL        TIMEBASE_ACC
  2.002  RSLT         =
  2.003  RSLT         =TIMEBASE ACCURACY
  2.004  IEEE2        CHAN[M1]:COUP DC50;PROB 1;VDIV 50mV
  2.005  IEEE2        STOP;:ACQ:RLEN 10000;:STAR
  2.006  IEEE2        DISP:FORM SING
  2.007  IEEE2        MEAS:MODE ON;CHAN[M1]:FREQ:STAT ON

  2.008  RSLT         =
  2.009  HEAD         TIMEBASE ACCURACY:{ 500.2 MHz Frequency}
  2.010  TARGET       -p
  2.011  IEEE2        TIM:TDIV 2us
  2.012  5500         500.2MH                      300mVpp        LS S6 S  L
# Get the frequency accuracy of 5500A at 500.2 MHz, 300 mVpp
  2.013  MATH         L[2] = 500.2E+6
  2.014  MATH         L[1] = ACCV2("Fluke 5500A", "Hertz LS S6", L[2], 0.3)
# Convert the frequency accuracy at 500.2MHz to percent.
  2.015  MATH         L[1] = (L[1] / (MEM1 * 1E+6)) * 100
# Set up the system accuracy
  2.016  ACC          200.0000kH     L1%
  2.017  WAIT         -t 5 Settling...
  2.018  TARGET       -m
  2.019  IEEE2        MEAS:CHAN[M1]:FREQ:VAL?[I]
  2.020  MATH         MEM = MEM / 1E+3
  2.021  MEMCX        200.0000kH     25.0000U

  3.001  RSLT         =
  3.002  HEAD         TIMEBASE ACCURACY:{ 300.1 MHz Frequency}
  3.003  TARGET       -p
  3.004  IEEE2        TIM:TDIV 10us
  3.005  5500         300.1MH                      300mVpp        LS S6 S  L
  3.006  MATH         L[2] = 300.1E+6
  3.007  MATH         L[1] = ACCV2("Fluke 5500A", "Hertz LS S6", L[2], 0.3)
  3.008  MATH         L[1] = (L[1] / (MEM1 * 1E+6)) * 100
  3.009  ACC          100.0000kH     L1%
  3.010  WAIT         -t 5 Settling...
  3.011  TARGET       -m
  3.012  IEEE2        MEAS:CHAN[M1]:FREQ:VAL?[I]
  3.013  MATH         MEM = MEM / 1E+3
  3.014  MEMCX        100.0000kH     10.0000U

  4.001  5500         *                                                 S
  4.002  END

  4.003  EVAL   Increment step number

# ======= Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /5500+S6 ===============

# The following implementation of the bandwidth test uses the traditional
# method.
#   1. Establish the reference (Example: 6 divisions at 50 kHz).
#   2. Increase the input frequency to the UUT specified bandwidth.
#   3. Verify that the amplitude is no more than 3 dB down from the reference.

  5.001  LABEL        BANDWIDTH_TRADITIONAL

# Only write test name into the result file when the channel 1 is tested
  5.002  IF           M[1] == 1
  5.003  RSLT         =
  5.004  RSLT         =BANDWIDTH
  5.005  ENDIF

  5.006  RSLT         =
  5.007  RSLT         =CHANNEL [M1]
  5.008  IEEE2        CHAN[M1]:COUP DC50;PROB 1
  5.009  IEEE2        TRIG:TYPE SIMP;MODE NORM;SIMP:SOUR [M1]
  5.010  IEEE2        STOP;:ACQ:MODE AVER;:ACQ:COUN INF
  5.011  IEEE2        ACQ:AVER:EWE 4;:ACQ:RLEN 1000;:STAR
  5.012  IEEE2        DISP:FORM SING
  5.013  IEEE2        MEAS:MODE ON;TRAN1 -5,5;CHAN[M1]:PTOP:STAT ON

  5.014  RSLT         =
  5.015  HEAD         BANDWIDTH (CH [M1]):{ 500 MHz, 1 V/div}
  5.016  TARGET       -p
  5.017  IEEE2        CHAN[M1]:VDIV 1V;:TIM:TDIV 20us
# Set the output of the calibrator so the peak-to-peak measurement is
# between 4.99 V and 5.01 V.
  5.018  MATH         MEM = 5; MEM1 = MEM

  5.019  DO
  5.020  MATH         MEM = MEM1 + (5 - MEM) / 2
  5.021  5500         Vpp                          50kH           LS S6 S  L
  5.022  WAIT         [D1000]
  5.023  IEEE2        MEAS:CHAN[M1]:PTOP:VAL?[I]
  5.024  UNTIL        (MEM >=4.99) && (MEM <= 5.01)

  5.025  IEEE2        TIM:TDIV 2ns
# Last calibrator amplitude setting is in MEM1.
  5.026  MATH         MEM = MEM1
  5.027  5500         Vpp                          500MH          LS S6 S  L
  5.028  WAIT         -t 5 System settling...
  5.029  TARGET       -m
  5.030  IEEE2        MEAS:CHAN[M1]:PTOP:VAL?[I]
  5.031  MATH         MEM2 = FMT(MEM, "%.5f") & " Vpp"
  5.032  MEM2         = Limit: >= 3.53553 Vpp, Result: [MEM2]
  5.033  EVAL   -e MEM >= 3.53553 : [MEM2]

  6.001  RSLT         =
  6.002  HEAD         BANDWIDTH (CH [M1]):{ 500 MHz, 0.2 V/div}
  6.003  TARGET       -p
  6.004  IEEE2        CHAN[M1]:VDIV 200mV;:TIM:TDIV 20us
# Set the output of the calibrator so the peak-to-peak measurement is
# between 1.198 V and 1.202 V.
  6.005  MATH         MEM = 1.2; MEM1 = MEM

  6.006  DO
  6.007  MATH         MEM = MEM1 + (1.2 - MEM) / 2
  6.008  5500         Vpp                          50kH           LS S6 S  L
  6.009  WAIT         [D1000]
  6.010  IEEE2        MEAS:CHAN[M1]:PTOP:VAL?[I]
  6.011  UNTIL        (MEM >= 1.198) && (MEM <= 1.202)

  6.012  IEEE2        TIM:TDIV 2ns
  6.013  MATH         MEM = MEM1
  6.014  5500         Vpp                          500MH          LS S6 S  L
  6.015  WAIT         -t 5 System settling...
  6.016  TARGET       -m
  6.017  IEEE2        MEAS:CHAN[M1]:PTOP:VAL?[I]
  6.018  MATH         MEM2 = FMT(MEM, "%.5f") & " Vpp"
  6.019  MEM2         = Limit: >= 0.84853 Vpp, Result: [MEM2]
  6.020  EVAL   -e MEM >= 0.84853 : [MEM2]

  7.001  RSLT         =
  7.002  HEAD         BANDWIDTH (CH [M1]):{ 500 MHz, 50 mV/div}
  7.003  TARGET       -p
  7.004  IEEE2        CHAN[M1]:VDIV 50mV;:TIM:TDIV 20us
# Set the output of the calibrator so the peak-to-peak measurement is
# between 299.5 mV and 300.5 mV.
  7.005  MATH         MEM = 300; MEM1 = MEM

  7.006  DO
  7.007  MATH         MEM = MEM1 + (300 - MEM) / 2
  7.008  5500         mVpp                         50kH           LS S6 S  L
  7.009  WAIT         [D1000]
  7.010  IEEE2        MEAS:CHAN[M1]:PTOP:VAL?[I]
  7.011  MATH         MEM = MEM / 1E-3
  7.012  UNTIL        (MEM >= 299.5) && (MEM <= 300.5)

  7.013  IEEE2        TIM:TDIV 2ns
  7.014  MATH         MEM = MEM1
  7.015  5500         mVpp                         500MH          LS S6 S  L
  7.016  WAIT         -t 5 System settling...
  7.017  TARGET       -m
  7.018  IEEE2        MEAS:CHAN[M1]:PTOP:VAL?[I]
  7.019  MATH         MEM = MEM / 1E-3
  7.020  MATH         MEM2 = FMT(MEM, "%.3f") & " mVpp"
  7.021  MEM2         = Limit: >= 212.132 mVpp, Result: [MEM2]
  7.022  EVAL   -e MEM >= 212.132 : [MEM2]

  8.001  RSLT         =
  8.002  HEAD         BANDWIDTH (CH [M1]):{ 500 MHz, 10 mV/div}
  8.003  TARGET       -p
  8.004  IEEE2        CHAN[M1]:VDIV 10mV;:TIM:TDIV 20us
# Set the output of the calibrator so the peak-to-peak measurement is
# between 59.9 mV and 60.1 mV.
  8.005  MATH         MEM = 60; MEM1 = MEM

  8.006  DO
  8.007  MATH         MEM = MEM1 + (60 - MEM) / 2
  8.008  5500         mVpp                         50kH           LS S6 S  L
  8.009  WAIT         [D1000]
  8.010  IEEE2        MEAS:CHAN[M1]:PTOP:VAL?[I]
  8.011  MATH         MEM = MEM / 1E-3
  8.012  UNTIL        (MEM >= 59.9) && (MEM <= 60.1)

  8.013  IEEE2        TIM:TDIV 2ns
  8.014  MATH         MEM = MEM1
  8.015  5500         mVpp                         500MH          LS S6 S  L
  8.016  WAIT         -t 5 System settling...
  8.017  TARGET       -m
  8.018  IEEE2        MEAS:CHAN[M1]:PTOP:VAL?[I]
  8.019  MATH         MEM = MEM / 1E-3
  8.020  MATH         MEM2 = FMT(MEM, "%.4f") & " mVpp"
  8.021  MEM2         = Limit: >= 42.4264 mVpp, Result: [MEM2]
  8.022  EVAL   -e MEM >= 42.4264 : [MEM2]

  9.001  RSLT         =
  9.002  HEAD         BANDWIDTH (CH [M1]):{ 400 MHz, 5 mV/div}
  9.003  TARGET       -p
  9.004  IEEE2        CHAN[M1]:VDIV 5mV;:TIM:TDIV 20us
# Set the output of the calibrator so the peak-to-peak measurement is
# between 29.95 mV and 30.05 mV.
  9.005  MATH         MEM = 30; MEM1 = MEM

  9.006  DO
  9.007  MATH         MEM = MEM1 + (30 - MEM) / 2
  9.008  5500         mVpp                         50kH           LS S6 S  L
  9.009  WAIT         [D1000]
  9.010  IEEE2        MEAS:CHAN[M1]:PTOP:VAL?[I]
  9.011  MATH         MEM = MEM / 1E-3
  9.012  UNTIL        (MEM >= 29.95) && (MEM <= 30.05)

  9.013  IEEE2        TIM:TDIV 2ns
  9.014  MATH         MEM = MEM1
  9.015  5500         mVpp                         400MH          LS S6 S  L
  9.016  WAIT         -t 5 System settling...
  9.017  TARGET       -m
  9.018  IEEE2        MEAS:CHAN[M1]:PTOP:VAL?[I]
  9.019  MATH         MEM = MEM / 1E-3
  9.020  MATH         MEM2 = FMT(MEM, "%.4f") & " mVpp"
  9.021  MEM2         = Limit: >= 21.2132 mVpp, Result: [MEM2]
  9.022  EVAL   -e MEM >= 21.2132 : [MEM2]

 10.001  RSLT         =
 10.002  HEAD         BANDWIDTH (CH [M1]):{ 400 MHz, 2 mV/div}
 10.003  TARGET       -p
 10.004  IEEE2        CHAN[M1]:VDIV 2mV;:TIM:TDIV 20us
# Set the output of the calibrator so the peak-to-peak measurement is
# between 11.98 mV and 12.02 mV.
 10.005  MATH         MEM = 12; MEM1 = MEM

 10.006  DO
 10.007  MATH         MEM = MEM1 + (12 - MEM) / 2
 10.008  5500         mVpp                         50kH           LS S6 S  L
 10.009  WAIT         [D1000]
 10.010  IEEE2        MEAS:CHAN[M1]:PTOP:VAL?[I]
 10.011  MATH         MEM = MEM / 1E-3
 10.012  UNTIL        (MEM >= 11.98) && (MEM <= 12.02)

 10.013  IEEE2        TIM:TDIV 2ns
 10.014  MATH         MEM = MEM1
 10.015  5500         mVpp                         400MH          LS S6 S  L
 10.016  WAIT         -t 5 System settling...
 10.017  TARGET       -m
 10.018  IEEE2        MEAS:CHAN[M1]:PTOP:VAL?[I]
 10.019  MATH         MEM = MEM / 1E-3
 10.020  MATH         MEM2 = FMT(MEM, "%.4f") & " mVpp"
 10.021  MEM2         = Limit: >= 8.4853 mVpp, Result: [MEM2]
 10.022  EVAL   -e MEM >= 8.4853 : [MEM2]

 11.001  5500         *                                                 S
 11.002  END

 11.003  EVAL   Increment step number

# ============ Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /5500+S6 =========

#  The following implementation of the bandwidth test follows the steps
#  called out in the DL17x0 Service Manual with the exception that the
#  "Input Amplitude" is specified in Vrms rather than Vpp.  This was done
#  so the reference accuracy returned by the 5500 FSC is in the same units
#  as the MEMCX Nominal.
#
#  Note, this change necessitated that the 5500 Nominal field value be
#  specified with enough resolution so the resulting 5500 amplitude is
#  the correct value in Vpp.

#  This procedure contains the following tests whose Test Uncertainty Ratio
#  are less than 4:1.
#       BANDWIDTH
#                    1    V/div : 1.76777  V @500 MHz;     TUR 1.9989
#                    200 mV/div : 424.264 mV @500 MHz;     TUR 2.0239
#                    50  mV/div : 106.066 mV @500 MHz;     TUR 1.9991
#                    10  mV/div : 21.2132 mV @500 MHz;     TUR 1.8760
#                    5   mV/div : 10.6067 mV @400 MHz;     TUR 1.7420
#                    2   mV/div : 4.24264 mV @400 MHz;     TUR 1.4346

 12.001  LABEL        BANDWIDTH

# Only write test name into the result file when the channel 1 is tested
 12.002  IF           M[1] == 1
 12.003  RSLT         =
 12.004  RSLT         =BANDWIDTH
 12.005  ENDIF

 12.006  RSLT         =
 12.007  RSLT         =CHANNEL [M1]
 12.008  IEEE2        CHAN[M1]:COUP DC50;:CHAN[M1]:PROB 1
 12.009  IEEE2        TIM:TDIV 2ns
 12.010  IEEE2        TRIG:TYPE SIMP;MODE NORM;SIMP:SOUR [M1]
 12.011  IEEE2        STOP;:ACQ:MODE AVER;COUN INF;RLEN 1000;AVER:EWE 4
 12.012  IEEE2        STAR;:DISP:FORM SING
 12.013  IEEE2        MEAS:MODE ON;TRAN1 -5,5;CHAN[M1]:SDEV:STAT ON

 12.014  RSLT         =
 12.015  HEAD         BANDWIDTH (CH [M1]):{ 500 MHz, 1 V/div}
 12.016  TARGET       -p
 12.017  IEEE2        CHAN[M1]:VDIV 1V
 12.018  5500         1.76777V                     500MH          LS S6 S  L
 12.019  WAIT         -t 5 System settling...
 12.020  TARGET       -m
# Get the standard deviation value of bandwidth.
 12.021  IEEE2        MEAS:CHAN[M1]:SDEV:VAL?[I]
 12.022  TOL          -0.51628U +0.21223U
 12.023  MEMCX  1     1.76777V       TOL

 13.001  RSLT         =
 13.002  HEAD         BANDWIDTH (CH [M1]):{ 500 MHz, 200 mV/div}
 13.003  TARGET       -p
 13.004  IEEE2        CHAN[M1]:VDIV 200mV
 13.005  5500         424.264mV                    500MH          LS S6 S  L
 13.006  WAIT         -t 5 System settling...
 13.007  TARGET       -m
 13.008  IEEE2        MEAS:CHAN[M1]:SDEV:VAL?[I]
 13.009  MATH         MEM= MEM / 1E-3
 13.010  TOL          -123.908U +51.736U
 13.011  MEMCX  200   424.264mV      TOL

 14.001  RSLT         =
 14.002  HEAD         BANDWIDTH (CH [M1]):{ 500 MHz, 50 mV/div}
 14.003  TARGET       -p
 14.004  IEEE2        CHAN[M1]:VDIV 50mV
 14.005  5500         106.066mV                    500MH          LS S6 S  L
 14.006  WAIT         -t 5 System settling...
 14.007  TARGET       -m
 14.008  IEEE2        MEAS:CHAN[M1]:SDEV:VAL?[I]
 14.009  MATH         MEM= MEM / 1E-3
 14.010  TOL          -30.977U +12.934U
 14.011  MEMCX  50    106.066mV      TOL

 15.001  RSLT         =
 15.002  HEAD         BANDWIDTH (CH [M1]):{ 500 MHz, 10 mV/div}
 15.003  TARGET       -p
 15.004  IEEE2        CHAN[M1]:VDIV 10mV
 15.005  5500         21.2132mV                    500MH          LS S6 S  L
 15.006  WAIT         -t 5 System settling...
 15.007  TARGET       -m
 15.008  IEEE2        MEAS:CHAN[M1]:SDEV:VAL?[I]
 15.009  MATH         MEM= MEM / 1E-3
 15.010  TOL          -6.1955U +2.5868U
 15.011  MEMCX  10    21.2132mV      TOL

 16.001  RSLT         =
 16.002  HEAD         BANDWIDTH (CH [M1]):{ 400 MHz, 5 mV/div}
 16.003  TARGET       -p
 16.004  IEEE2        CHAN[M1]:VDIV 5mV
 16.005  5500         10.6067mV                    400MH          LS S6 S  L
 16.006  WAIT         -t 5 System settling...
 16.007  TARGET       -m
 16.008  IEEE2        MEAS:CHAN[M1]:SDEV:VAL?[I]
 16.009  MATH         MEM= MEM / 1E-3
 16.010  TOL          -3.0976U +1.2934U
 16.011  MEMCX  5     10.6067mV      TOL

 17.001  RSLT         =
 17.002  HEAD         BANDWIDTH (CH [M1]):{ 400 MHz, 2 mV/div}
 17.003  TARGET       -p
 17.004  IEEE2        CHAN[M1]:VDIV 2mV
 17.005  5500         4.24264mV                    400MH          LS S6 S  L
 17.006  WAIT         -t 5 System settling...
 17.007  TARGET       -m
 17.008  IEEE2        MEAS:CHAN[M1]:SDEV:VAL?[I]
 17.009  MATH         MEM= MEM / 1E-3
 17.010  TOL          -1.23908U +0.51736U
 17.011  MEMCX  2     4.24264mV      TOL

 18.001  5500         *                                                 S
 18.002  END

 18.003  EVAL   Increment step number

# ========== Sub Yokogawa DL17x0 (1 yr) DCV Meas IEEE /5500+S6 ===========

 19.001  LABEL        DCV_ACC

# Only write test name into the result file when the channel 1 is tested
 19.002  IF           M[1] == 1
 19.003  RSLT         =
 19.004  RSLT         =DC ACCURACY
 19.005  ENDIF

 19.006  RSLT         =
 19.007  RSLT         =CHANNEL [M1]
 19.008  IEEE2        CHAN[M1]:COUP DC;PROB 1
 19.009  IEEE2        TIM:TDIV 1ms
 19.010  IEEE2        TRIG:MODE AUTO
 19.011  IEEE2        STOP;:ACQ:MODE BAV;COUN INF
 19.012  IEEE2        STAR;:DISP:FORM SING
 19.013  IEEE2        MEAS:MODE ON;TRAN1 -5,5;CHAN[M1]:AVER:STAT ON

 19.014  RSLT         =
 19.015  HEAD         DC ACCURACY (CH [M1]):{ 10 V/div}
 19.016  TARGET       -p
 19.017  IEEE2        CHAN[M1]:VDIV 10V
 19.018  5500         40.0000V                                       S6 S
 19.019  WAIT         -t 3 System Settling...
 19.020  TARGET       -m
 19.021  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 19.022  MEMCX  10    40.0000V       1.2200U

 20.001  5500         -40.0000V                                      S6 S
 20.002  WAIT         -t 3 System Settling...
 20.003  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 20.004  MEMCX  10    -40.0000V      1.2200U

 21.001  RSLT         =
 21.002  HEAD         DC ACCURACY (CH [M1]):{ 5 V/div}
 21.003  TARGET       -p
 21.004  IEEE2        CHAN[M1]:VDIV 5V
 21.005  5500         20.0000V                                       S6 S
 21.006  WAIT         -t 3 System Settling...
 21.007  TARGET       -m
 21.008  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 21.009  MEMCX  5     20.0000V       0.6200U

 22.001  5500         -20.0000V                                      S6 S
 22.002  WAIT         -t 3 System Settling...
 22.003  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 22.004  MEMCX  5     -20.0000V      0.6200U

 23.001  RSLT         =
 23.002  HEAD         DC ACCURACY (CH [M1]):{ 2 V/div}
 23.003  TARGET       -p
 23.004  IEEE2        CHAN[M1]:VDIV 2V
 23.005  5500         8.00000V                                       S6 S
 23.006  WAIT         -t 3 System Settling...
 23.007  TARGET       -m
 23.008  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 23.009  MEMCX  2     8.00000V       0.26000U

 24.001  5500         -8.00000V                                      S6 S
 24.002  WAIT         -t 3 System Settling...
 24.003  TARGET       -m
 24.004  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 24.005  MEMCX  2     -8.00000V      0.26000U

 25.001  RSLT         =
 25.002  HEAD         DC ACCURACY (CH [M1]):{ 1 V/div}
 25.003  TARGET       -p
 25.004  IEEE2        CHAN[M1]:VDIV 1V
 25.005  5500         4.00000V                                       S6 S
 25.006  WAIT         -t 3 System Settling...
 25.007  TARGET       -m
 25.008  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 25.009  MEMCX  1     4.00000V       0.14000U

 26.001  5500         -4.00000V                                      S6 S
 26.002  WAIT         -t 3 System Settling...
 26.003  TARGET       -m
 26.004  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 26.005  MEMCX  1     -4.00000V      0.14000U

 27.001  RSLT         =
 27.002  HEAD         DC ACCURACY (CH [M1]):{ 0.5 V/div}
 27.003  TARGET       -p
 27.004  IEEE2        CHAN[M1]:VDIV 500mV
 27.005  5500         2.00000V                                       S6 S
 27.006  WAIT         -t 3 System Settling...
 27.007  TARGET       -m
 27.008  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 27.009  MEMCX  0.5   2.00000V       0.06200U

 28.001  5500         -2.00000V                                      S6 S
 28.002  WAIT         -t 3 System Settling...
 28.003  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 28.004  MEMCX  0.5   -2.00000V      0.06200U

 29.001  RSLT         =
 29.002  HEAD         DC ACCURACY (CH [M1]):{ 0.2 V/div}
 29.003  TARGET       -p
 29.004  IEEE2        CHAN[M1]:VDIV 200mV
 29.005  5500         800.000mV                                      S6 S
 29.006  WAIT         -t 3 System Settling...
 29.007  TARGET       -m
 29.008  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 29.009  MATH         MEM = MEM / 1E-3
 29.010  MEMCX  200   800.000mV      26.000U

 30.001  5500         -800.000mV                                     S6 S
 30.002  WAIT         -t 3 System Settling...
 30.003  TARGET       -m
 30.004  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 30.005  MATH         MEM = MEM / 1E-3
 30.006  MEMCX  200   -800.000mV     26.000U

 31.001  RSLT         =
 31.002  HEAD         DC ACCURACY (CH [M1]):{ 0.1 V/div}
 31.003  TARGET       -p
 31.004  IEEE2        CHAN[M1]:VDIV 100mV
 31.005  5500         400.000mV                                      S6 S
 31.006  WAIT         -t 3 System Settling...
 31.007  TARGET       -m
 31.008  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 31.009  MATH         MEM = MEM / 1E-3
 31.010  MEMCX  100   400.000mV      14.000U

 32.001  5500         -400.000mV                                     S6 S
 32.002  WAIT         -t 3 System Settling...
 32.003  TARGET       -m
 32.004  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 32.005  MATH         MEM = MEM / 1E-3
 32.006  MEMCX  100   -400.000mV     14.000U

 33.001  RSLT         =
 33.002  HEAD         DC ACCURACY (CH [M1]):{ 50 mV/div}
 33.003  TARGET       -p
 33.004  IEEE2        CHAN[M1]:VDIV 50mV
 33.005  5500         200.000mV                                      S6 S
 33.006  WAIT         -t 3 System Settling...
 33.007  TARGET       -m
 33.008  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 33.009  MATH         MEM = MEM / 1E-3
 33.010  MEMCX  50    200.000mV      6.200U

 34.001  5500         -200.000mV                                     S6 S
 34.002  WAIT         -t 3 System Settling...
 34.003  TARGET       -m
 34.004  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 34.005  MATH         MEM = MEM / 1E-3
 34.006  MEMCX  50    -200.000mV     6.200U

 35.001  RSLT         =
 35.002  HEAD         DC ACCURACY (CH [M1]):{ 20 mV/div}
 35.003  TARGET       -p
 35.004  IEEE2        CHAN[M1]:VDIV 20mV
 35.005  5500         80.0000mV                                      S6 S
 35.006  WAIT         -t 3 System Settling...
 35.007  TARGET       -m
 35.008  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 35.009  MATH         MEM = MEM / 1E-3
 35.010  MEMCX  20    80.0000mV      2.6000U

 36.001  5500         -80.0000mV                                     S6 S
 36.002  WAIT         -t 3 System Settling...
 36.003  TARGET       -m
 36.004  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 36.005  MATH         MEM = MEM / 1E-3
 36.006  MEMCX  20    -80.0000mV     2.6000U

 37.001  RSLT         =
 37.002  HEAD         DC ACCURACY (CH [M1]):{ 10 mV/div}
 37.003  TARGET       -p
 37.004  IEEE2        CHAN[M1]:VDIV 10mV
 37.005  5500         40.0000mV                                      S6 S
 37.006  WAIT         -t 3 System Settling...
 37.007  TARGET       -m
 37.008  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 37.009  MATH         MEM = MEM / 1E-3
 37.010  MEMCX  10    40.0000mV      1.4000U

 38.001  5500         -40.0000mV                                     S6 S
 38.002  WAIT         -t 3 System Settling...
 38.003  TARGET       -m
 38.004  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 38.005  MATH         MEM = MEM / 1E-3
 38.006  MEMCX  10    -40.0000mV     1.4000U

 39.001  RSLT         =
 39.002  HEAD         DC ACCURACY (CH [M1]):{ 5 mV/div}
 39.003  TARGET       -p
 39.004  IEEE2        CHAN[M1]:VDIV 5mV
 39.005  5500         20.0000mV                                      S6 S
 39.006  WAIT         -t 3 System Settling...
 39.007  TARGET       -m
 39.008  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 39.009  MATH         MEM = MEM / 1E-3
 39.010  MEMCX  5     20.0000mV      0.8000U

 40.001  5500         -20.0000mV                                     S6 S
 40.002  WAIT         -t 3 System Settling...
 40.003  TARGET       -m
 40.004  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 40.005  MATH         MEM = MEM / 1E-3
 40.006  MEMCX  5     -20.0000mV     0.8000U

 41.001  RSLT         =
 41.002  HEAD         DC ACCURACY (CH [M1]):{ 2 mV/div}
 41.003  TARGET       -p
 41.004  IEEE2        CHAN[M1]:VDIV 2mV
 41.005  5500         8.00000mV                                      S6 S
 41.006  WAIT         -t 3 System Settling...
 41.007  TARGET       -m
 41.008  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 41.009  MATH         MEM = MEM / 1E-3
 41.010  MEMCX  2     8.00000mV      0.44000U

 42.001  5500         -8.00000mV                                     S6 S
 42.002  WAIT         -t 3 System Settling...
 42.003  TARGET       -m
 42.004  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 42.005  MATH         MEM = MEM / 1E-3
 42.006  MEMCX  2     -8.00000mV     0.44000U

 43.001  5500         *                                                 S
 43.002  END

 43.003  EVAL   Increment step number

# =========== Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /5500+S6 ==========

 44.001  LABEL        OFFSET_ACC

# Only write test name into the result file when the channel 1 is tested
 44.002  IF           M[1] == 1
 44.003  RSLT         =
 44.004  RSLT         =OFFSET ACCURACY
 44.005  ENDIF

 44.006  RSLT         =
 44.007  RSLT         =CHANNEL [M1]
 44.008  IEEE2        CHAN[M1]:COUP DC;PROB 1;VDIV 5mV
 44.009  IEEE2        TIM:TDIV 5ms
 44.010  IEEE2        STOP;:ACQ:MODE BAV
 44.011  IEEE2        STAR;:DISP:FORM SING
 44.012  IEEE2        MEAS:MODE ON;CHAN[M1]:AVER:STAT ON

 44.013  RSLT         =
 44.014  RSLT         = 1 V Input & Offset Voltage
 44.015  HEAD         OFFSET ACCURACY (CH [M1]): 1 V Input & Offset Voltage
 44.016  TARGET       -p
 44.017  5500         1.00000V                                       S6 S
# Apply the offset voltage to the channel under test.
 44.018  IEEE2        CHAN[M1]:OFFS 1V
 44.019  WAIT         -t 3 System Settling...
 44.020  TARGET       -m
 44.021  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 44.022  MEMCX  1     1.00000V       0.01020U

 45.001  RSLT         =
 45.002  RSLT         = -1 V Input & Offset Voltage
 45.003  HEAD         OFFSET ACCURACY (CH [M1]): -1 V Input & Offset Voltage
 45.004  TARGET       -p
 45.005  5500         -1.00000V                                      S6 S
 45.006  IEEE2        CHAN[M1]:OFFS -1V
 45.007  WAIT         -t 3 System Settling...
 45.008  TARGET       -m
 45.009  IEEE2        MEAS:CHAN[M1]:AVER:VAL?[I]
 45.010  MEMCX  1     -1.00000V      0.01020U

 46.001  5500         *                                                 S
 46.002  END
